VTK: vtkPostgreSQLDatabasePrivate Class Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkPostgreSQLDatabasePrivate Class Reference

internal details of a connection to a PostgreSQL database More...

`#include <vtkPostgreSQLDatabasePrivate.h>`

## Public Member Functions
| vtkPostgreSQLDatabasePrivate ()
virtual | ~vtkPostgreSQLDatabasePrivate ()
| Destroy the database connection. More...
int | GetVTKTypeFromOID (Oid pgtype)

## Public Attributes
PGconn * | Connection
std::map< Oid, int > | DataTypeMap

## Detailed Description

internal details of a connection to a PostgreSQL database

This class does two things. First, it holds the (pointer to the) PGconn struct that represents an actual database connection. Second, it holds a map from Postgres data types as they exist in the database to VTK data types.

You should never have to deal with this class outside of vtkPostgreSQLDatabase and vtkPostgreSQLQuery.

Definition at line 30 of file vtkPostgreSQLDatabasePrivate.h.

## Constructor & Destructor Documentation

## ◆ vtkPostgreSQLDatabasePrivate()

vtkPostgreSQLDatabasePrivate::vtkPostgreSQLDatabasePrivate | ( |  | ) |
| inline

Definition at line 33 of file vtkPostgreSQLDatabasePrivate.h.

## ◆ ~vtkPostgreSQLDatabasePrivate()

virtual vtkPostgreSQLDatabasePrivate::~vtkPostgreSQLDatabasePrivate | ( |  | ) |
| inlinevirtual

Destroy the database connection.

Any uncommitted transaction will be aborted.

Definition at line 38 of file vtkPostgreSQLDatabasePrivate.h.

## Member Function Documentation

## ◆ GetVTKTypeFromOID()

int vtkPostgreSQLDatabasePrivate::GetVTKTypeFromOID | ( | Oid | pgtype | ) |
| inline

Definition at line 47 of file vtkPostgreSQLDatabasePrivate.h.

## Member Data Documentation

## ◆ Connection

PGconn* vtkPostgreSQLDatabasePrivate::Connection

Definition at line 59 of file vtkPostgreSQLDatabasePrivate.h.

## ◆ DataTypeMap

std::map<Oid, int> vtkPostgreSQLDatabasePrivate::DataTypeMap

Definition at line 62 of file vtkPostgreSQLDatabasePrivate.h.

The documentation for this class was generated from the following file:

- IO/PostgreSQL/vtkPostgreSQLDatabasePrivate.h